{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"CompanySigningCombinationPerson":{"description":"Signing combination person","properties":{"address":{"allOf":[{"$ref":"#/components/schemas/PersonAddress"}],"description":"Signatory address"},"fullName":{"description":"Signatory full name","type":"string"},"positions":{"description":"Positions that signatory holds","items":{"$ref":"#/components/schemas/CompanySigningCombinationPosition"},"type":"array"}},"type":"object"},"CompanySigningCombinationPosition":{"description":"Signing combination position","properties":{"roleName":{"description":"position name","type":"string"}},"type":"object"},"CompanySigningCombinationResult":{"description":"Roaring Apps company signing combinations. list contains all possible fields returned","properties":{"changeDate":{"description":"Date for latest change on signing rights for company","type":"string"},"combinations":{"description":"Possible signing combinations","items":{"description":"Possible signing combinations","items":{"$ref":"#/components/schemas/CompanySigningCombinationPerson"},"type":"array"},"type":"array"},"companyId":{"description":"Company identifier","type":"string"},"coverage":{"description":"The coverage of the answer, explains if all the possible signing combinations could be found. possible values: complete, partial and none","type":"string"}},"type":"object"},"CompanySigningCombinationResults":{"description":"Roaring Apps company signing combinations results","properties":{"records":{"description":"found signing combinations results","items":{"$ref":"#/components/schemas/CompanySigningCombinationResult"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"PersonAddress":{"properties":{"buildingNumber":{"description":"Building Number","format":"int64","type":"integer"},"communeCode":{"description":"Commune Code","format":"int64","type":"integer"},"communeName":{"description":"Commune Name","type":"string"},"countryCode":{"description":"Country Code","type":"string"},"freeText":{"description":"Fritext","type":"string"},"streetName":{"description":"Street Name","type":"string"},"town":{"description":"Town","type":"string"},"zipcode":{"description":"Zipcode","format":"int64","type":"integer"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"All combinations of persons that have Signatory Right in a company.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Signing Combinations","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/signing-combinations-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"AsOfDate supported","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanySigningCombinationResults"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch all combinations of persons that have Signatory Right in a company.","tags":["SigningCombinationsDk"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/dk/company/signing-combinations/1.0"}],"x-category":"company","x-countries":["dk"],"x-id":"SigningCombinationsApiDk","x-locale-en":{"description":"All combinations of persons that have Signatory Right in a company.","name":"Signing Combinations"},"x-locale-no":{"description":"Alle kombinasjoner av personer som har Signaturrett i et selskap.","name":"Signaturrett Kombinasjoner"},"x-locale-sv":{"description":"Alla kombinationer av personer som har Firmatecknarrätt i ett företag.","name":"Firmatecknarkombinationer"},"x-logo":{"url":"https://s3-eu-west-1.amazonaws.com/roaring-assets/svg/signing-combinations.svg"}}